pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Rearranging Samba packages

On 30 January 2012 13:42, Matthias Scheler <> wrote:
> On Mon, Dec 12, 2011 at 09:45:48PM +0100, Manuel Bouyer wrote:
>> On Fri, Dec 09, 2011 at 10:55:20PM +0000, Roy Marples wrote:
>> > Is my config on samba-3.0.x guaranteed to work on the latest?
>> No, it may not work. I've been there ...
> What was the problem? My Samba configuration which worked fine with 3.0
> and 3.3 is accepted by Samba 3.6.3. But user authentication fails.

Just a data point - my Samba 3.6.1 (and earlier) also had the same (or
similar) problem some times ago - it would work and authenticate local
users, it would join AD without any problems, but it would fail
authenticating from it with Kerberos errors. I went through many a
WireShark traces without any result. Some times ago it suddenly
started working fine, without me doing any change in the mean time, so
I went through the recent package updates. The only one I found to be
linked to this was the recent upgrade to security/gnutls (the setup I
am using is with security=AD). Earlier Samba upgrade did not force me
to upgrade this; it is not listed as a dependency. BTW winbind was
working OK even then, wbinfo -{u|g} returning what was expected.

>        Kind regards
> --
> Matthias Scheler                        

Chavdar Ivanov


Home | Main Index | Thread Index | Old Index